client.stub.iaccessi

## Class AccessLogEntry

- java.lang.Object
- - client.stub.iaccessi.AccessLogEntry

-     public class AccessLogEntry
      extends Object

  Classe Java per accessLogEntry complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="accessLogEntry">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idAssistito" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataOperazione" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="tipoOperazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descrizione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="idOperatore" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="idDocumento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="tipoDocumento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="risultato" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="emergenza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="assunzioneResp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ruolo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="idOrganizzazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descOrganizzazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="struttura" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="trattamento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="recuperoDoc" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="INIError" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="applicativo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="indexTransferId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="permission" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `applicativo`
    `protected String` | `assunzioneResp`
    `protected LocalDateTime` | `dataOperazione`
    `protected String` | `descOrganizzazione`
    `protected String` | `descrizione`
    `protected String` | `emergenza`
    `protected String` | `idAssistito`
    `protected String` | `idDocumento`
    `protected String` | `idOperatore`
    `protected String` | `idOrganizzazione`
    `protected String` | `indexTransferId`
    `protected String` | `iniError`
    `protected String` | `permission`
    `protected String` | `recuperoDoc`
    `protected String` | `risultato`
    `protected String` | `ruolo`
    `protected String` | `struttura`
    `protected String` | `tipoDocumento`
    `protected String` | `tipoOperazione`
    `protected String` | `trattamento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicativo()` Recupera il valore della proprietà applicativo.
    `String` | `getAssunzioneResp()` Recupera il valore della proprietà assunzioneResp.
    `LocalDateTime` | `getDataOperazione()` Recupera il valore della proprietà dataOperazione.
    `String` | `getDescOrganizzazione()` Recupera il valore della proprietà descOrganizzazione.
    `String` | `getDescrizione()` Recupera il valore della proprietà descrizione.
    `String` | `getEmergenza()` Recupera il valore della proprietà emergenza.
    `String` | `getIdAssistito()` Recupera il valore della proprietà idAssistito.
    `String` | `getIdDocumento()` Recupera il valore della proprietà idDocumento.
    `String` | `getIdOperatore()` Recupera il valore della proprietà idOperatore.
    `String` | `getIdOrganizzazione()` Recupera il valore della proprietà idOrganizzazione.
    `String` | `getIndexTransferId()` Recupera il valore della proprietà indexTransferId.
    `String` | `getINIError()` Recupera il valore della proprietà iniError.
    `String` | `getPermission()` Recupera il valore della proprietà permission.
    `String` | `getRecuperoDoc()` Recupera il valore della proprietà recuperoDoc.
    `String` | `getRisultato()` Recupera il valore della proprietà risultato.
    `String` | `getRuolo()` Recupera il valore della proprietà ruolo.
    `String` | `getStruttura()` Recupera il valore della proprietà struttura.
    `String` | `getTipoDocumento()` Recupera il valore della proprietà tipoDocumento.
    `String` | `getTipoOperazione()` Recupera il valore della proprietà tipoOperazione.
    `String` | `getTrattamento()` Recupera il valore della proprietà trattamento.
    `void` | `setApplicativo(String value)` Imposta il valore della proprietà applicativo.
    `void` | `setAssunzioneResp(String value)` Imposta il valore della proprietà assunzioneResp.
    `void` | `setDataOperazione(LocalDateTime value)` Imposta il valore della proprietà dataOperazione.
    `void` | `setDescOrganizzazione(String value)` Imposta il valore della proprietà descOrganizzazione.
    `void` | `setDescrizione(String value)` Imposta il valore della proprietà descrizione.
    `void` | `setEmergenza(String value)` Imposta il valore della proprietà emergenza.
    `void` | `setIdAssistito(String value)` Imposta il valore della proprietà idAssistito.
    `void` | `setIdDocumento(String value)` Imposta il valore della proprietà idDocumento.
    `void` | `setIdOperatore(String value)` Imposta il valore della proprietà idOperatore.
    `void` | `setIdOrganizzazione(String value)` Imposta il valore della proprietà idOrganizzazione.
    `void` | `setIndexTransferId(String value)` Imposta il valore della proprietà indexTransferId.
    `void` | `setINIError(String value)` Imposta il valore della proprietà iniError.
    `void` | `setPermission(String value)` Imposta il valore della proprietà permission.
    `void` | `setRecuperoDoc(String value)` Imposta il valore della proprietà recuperoDoc.
    `void` | `setRisultato(String value)` Imposta il valore della proprietà risultato.
    `void` | `setRuolo(String value)` Imposta il valore della proprietà ruolo.
    `void` | `setStruttura(String value)` Imposta il valore della proprietà struttura.
    `void` | `setTipoDocumento(String value)` Imposta il valore della proprietà tipoDocumento.
    `void` | `setTipoOperazione(String value)` Imposta il valore della proprietà tipoOperazione.
    `void` | `setTrattamento(String value)` Imposta il valore della proprietà trattamento.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### idAssistito

          protected String idAssistito

    - #### dataOperazione

          protected LocalDateTime dataOperazione

    - #### tipoOperazione

          protected String tipoOperazione

    - #### descrizione

          protected String descrizione

    - #### idOperatore

          protected String idOperatore

    - #### idDocumento

          protected String idDocumento

    - #### tipoDocumento

          protected String tipoDocumento

    - #### risultato

          protected String risultato

    - #### emergenza

          protected String emergenza

    - #### assunzioneResp

          protected String assunzioneResp

    - #### ruolo

          protected String ruolo

    - #### idOrganizzazione

          protected String idOrganizzazione

    - #### descOrganizzazione

          protected String descOrganizzazione

    - #### struttura

          protected String struttura

    - #### trattamento

          protected String trattamento

    - #### recuperoDoc

          protected String recuperoDoc

    - #### iniError

          protected String iniError

    - #### applicativo

          protected String applicativo

    - #### indexTransferId

          protected String indexTransferId

    - #### permission

          protected String permission

  - ### Constructor Detail

    - #### AccessLogEntry

          public AccessLogEntry()

  - ### Method Detail

    - #### getIdAssistito

          public String getIdAssistito()

      Recupera il valore della proprietà idAssistito.
      Returns:
        possible object is `String`

    - #### setIdAssistito

          public void setIdAssistito(String value)

      Imposta il valore della proprietà idAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataOperazione

          public LocalDateTime getDataOperazione()

      Recupera il valore della proprietà dataOperazione.
      Returns:
        possible object is `String`

    - #### setDataOperazione

          public void setDataOperazione(LocalDateTime value)

      Imposta il valore della proprietà dataOperazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoOperazione

          public String getTipoOperazione()

      Recupera il valore della proprietà tipoOperazione.
      Returns:
        possible object is `String`

    - #### setTipoOperazione

          public void setTipoOperazione(String value)

      Imposta il valore della proprietà tipoOperazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrizione

          public String getDescrizione()

      Recupera il valore della proprietà descrizione.
      Returns:
        possible object is `String`

    - #### setDescrizione

          public void setDescrizione(String value)

      Imposta il valore della proprietà descrizione.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdOperatore

          public String getIdOperatore()

      Recupera il valore della proprietà idOperatore.
      Returns:
        possible object is `String`

    - #### setIdOperatore

          public void setIdOperatore(String value)

      Imposta il valore della proprietà idOperatore.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdDocumento

          public String getIdDocumento()

      Recupera il valore della proprietà idDocumento.
      Returns:
        possible object is `String`

    - #### setIdDocumento

          public void setIdDocumento(String value)

      Imposta il valore della proprietà idDocumento.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoDocumento

          public String getTipoDocumento()

      Recupera il valore della proprietà tipoDocumento.
      Returns:
        possible object is `String`

    - #### setTipoDocumento

          public void setTipoDocumento(String value)

      Imposta il valore della proprietà tipoDocumento.
      Parameters:
        `value` - allowed object is `String`

    - #### getRisultato

          public String getRisultato()

      Recupera il valore della proprietà risultato.
      Returns:
        possible object is `String`

    - #### setRisultato

          public void setRisultato(String value)

      Imposta il valore della proprietà risultato.
      Parameters:
        `value` - allowed object is `String`

    - #### getEmergenza

          public String getEmergenza()

      Recupera il valore della proprietà emergenza.
      Returns:
        possible object is `String`

    - #### setEmergenza

          public void setEmergenza(String value)

      Imposta il valore della proprietà emergenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getAssunzioneResp

          public String getAssunzioneResp()

      Recupera il valore della proprietà assunzioneResp.
      Returns:
        possible object is `String`

    - #### setAssunzioneResp

          public void setAssunzioneResp(String value)

      Imposta il valore della proprietà assunzioneResp.
      Parameters:
        `value` - allowed object is `String`

    - #### getRuolo

          public String getRuolo()

      Recupera il valore della proprietà ruolo.
      Returns:
        possible object is `String`

    - #### setRuolo

          public void setRuolo(String value)

      Imposta il valore della proprietà ruolo.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdOrganizzazione

          public String getIdOrganizzazione()

      Recupera il valore della proprietà idOrganizzazione.
      Returns:
        possible object is `String`

    - #### setIdOrganizzazione

          public void setIdOrganizzazione(String value)

      Imposta il valore della proprietà idOrganizzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescOrganizzazione

          public String getDescOrganizzazione()

      Recupera il valore della proprietà descOrganizzazione.
      Returns:
        possible object is `String`

    - #### setDescOrganizzazione

          public void setDescOrganizzazione(String value)

      Imposta il valore della proprietà descOrganizzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getStruttura

          public String getStruttura()

      Recupera il valore della proprietà struttura.
      Returns:
        possible object is `String`

    - #### setStruttura

          public void setStruttura(String value)

      Imposta il valore della proprietà struttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getTrattamento

          public String getTrattamento()

      Recupera il valore della proprietà trattamento.
      Returns:
        possible object is `String`

    - #### setTrattamento

          public void setTrattamento(String value)

      Imposta il valore della proprietà trattamento.
      Parameters:
        `value` - allowed object is `String`

    - #### getRecuperoDoc

          public String getRecuperoDoc()

      Recupera il valore della proprietà recuperoDoc.
      Returns:
        possible object is `String`

    - #### setRecuperoDoc

          public void setRecuperoDoc(String value)

      Imposta il valore della proprietà recuperoDoc.
      Parameters:
        `value` - allowed object is `String`

    - #### getINIError

          public String getINIError()

      Recupera il valore della proprietà iniError.
      Returns:
        possible object is `String`

    - #### setINIError

          public void setINIError(String value)

      Imposta il valore della proprietà iniError.
      Parameters:
        `value` - allowed object is `String`

    - #### getApplicativo

          public String getApplicativo()

      Recupera il valore della proprietà applicativo.
      Returns:
        possible object is `String`

    - #### setApplicativo

          public void setApplicativo(String value)

      Imposta il valore della proprietà applicativo.
      Parameters:
        `value` - allowed object is `String`

    - #### getIndexTransferId

          public String getIndexTransferId()

      Recupera il valore della proprietà indexTransferId.
      Returns:
        possible object is `String`

    - #### setIndexTransferId

          public void setIndexTransferId(String value)

      Imposta il valore della proprietà indexTransferId.
      Parameters:
        `value` - allowed object is `String`

    - #### getPermission

          public String getPermission()

      Recupera il valore della proprietà permission.
      Returns:
        possible object is `String`

    - #### setPermission

          public void setPermission(String value)

      Imposta il valore della proprietà permission.
      Parameters:
        `value` - allowed object is `String`

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.